package com.xunao.effectdemo.activity;
import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import com.xunao.effectdemo.R;
import com.xunao.effectdemo.bean.RadarMapData;
import com.xunao.effectdemo.view.RadarMapView;

public class RadarActivity extends Activity{
    private RadarMapView radarMapView;
    private RadarMapData radarMapData;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_radar);
        radarMapData=new RadarMapData();
        setView();
        initData();
    }
    private void initData() {
        radarMapData.setCount(5);
        radarMapData.setMainPaintColor(getResources().getColor(R.color.gray99));
        radarMapData.setValuePaintColor(getResources().getColor(R.color.radar_color));
        radarMapData.setTextPaintColor(getResources().getColor(R.color.black66));
        radarMapData.setTitles(new String[]{"阅读", "口语", "听力", "语法", "自然拼读"});
        radarMapData.setValuse(new Double[]{100.0, 67.8, 55.4, 89.0, 36.9});
        radarMapData.setQualifiedValue(new Double[]{60.0, 60.8, 60.4, 60.0, 60.9});
        radarMapData.setTextSize(30);
        radarMapView.setData(radarMapData);
    }

    private void setView() {
        radarMapView=findViewById(R.id.radar_map);
    }
}